Runtime

## org.eclipse.gmf.runtime.common.ui.util
Class WorkbenchPartDescriptor

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.util.WorkbenchPartDescriptor

All Implemented Interfaces:
  IWorkbenchPartDescriptor

Direct Known Subclasses:
  WorkbenchPartDescirptor

public class WorkbenchPartDescriptor
extends java.lang.Object
implements IWorkbenchPartDescriptor

A standard implementation of `IWorkbenchPartDescriptor` interface

Constructor Summary
`WorkbenchPartDescriptor(java.lang.String partId, java.lang.Class partClass, IWorkbenchPage partPage)` Creates a new instance of the workbench part descriptor

Method Summary
`boolean` `equals(java.lang.Object obj)`
`java.lang.Class` `getPartClass()` Gets the class of the workbench part
`java.lang.String` `getPartId()` Gets the id of the workbench part
`IWorkbenchPage` `getPartPage()` Gets the page of the workbench part
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkbenchPartDescriptor

    public WorkbenchPartDescriptor(java.lang.String partId,
                                   java.lang.Class partClass,
                                   IWorkbenchPage partPage)

  Creates a new instance of the workbench part descriptor

Parameters:
  `partId` - The workbench part id
  `partClass` - The workbench part class
  `partPage` - The workbench part page

Method Detail

### getPartId

    public java.lang.String getPartId()

  Description copied from interface: `IWorkbenchPartDescriptor`
  Gets the id of the workbench part

  Specified by:
    `getPartId` in interface `IWorkbenchPartDescriptor`
  Returns:
    The id of the workbench part
  See Also:
    `IWorkbenchPartDescriptor.getPartId()`

### getPartClass

    public java.lang.Class getPartClass()

  Description copied from interface: `IWorkbenchPartDescriptor`
  Gets the class of the workbench part

  Specified by:
    `getPartClass` in interface `IWorkbenchPartDescriptor`
  Returns:
    The class of the workbench part
  See Also:
    `IWorkbenchPartDescriptor.getPartClass()`

### getPartPage

    public IWorkbenchPage getPartPage()

  Description copied from interface: `IWorkbenchPartDescriptor`
  Gets the page of the workbench part

  Specified by:
    `getPartPage` in interface `IWorkbenchPartDescriptor`
  Returns:
    The page of the workbench part
  See Also:
    `IWorkbenchPartDescriptor.getPartPage()`

### equals

    public boolean equals(java.lang.Object obj)

  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  See Also:
    `Object.hashCode()`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.